<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once USER_TRUST_PATH . "/class/AbstractListAction.class.php";

class User_UserDataUploadAction extends User_Action
{
	function &_getHandler()
	{
		$handler =& xoops_getmodulehandler('users');
		return $handler;
	}

	function _getBaseUrl()
	{
		return "./index.php?action=UserDataUpload";
	}

	function executeViewIndex(&$controller, &$xoopsUser, &$render)
	{
		$render->setTemplateName("user_data_upload.html");
	}
	
	function getDefaultView(&$controller, &$xoopsUser)
	{
		if (isset($_SESSION['user_csv_upload_data'])){
			unset($_SESSION['user_csv_upload_data']);
		}
		return USER_FRAME_VIEW_INDEX;
	}
	
	
	/// equals to getDefaultView()
	function execute(&$controller, &$xoopsUser)
	{
		return $this->getDefaultView($controller, $xoopsUser);
	}
}

?>
